#
npm start

##
Start a package

###
Synopsis

    npm start [-- <args>]

###
Description

This runs an arbitrary command specified in the package's `"start"` property of its `"scripts"` object. If no `"start"` property is specified on the `"scripts"` object, it will run `node server.js`.

As of `npm@2.0.0`, you can use custom arguments when executing scripts. Refer to `npm run-script` for more details.

###
See Also

- npm run-script
- npm scripts
- npm test
- npm restart
- npm stop

👀 Found a typo? Let us know!

The current stable version of npm is here. To upgrade, run: `npm install npm@latest -g`

To report bugs or submit feature requests for the docs, please post here. Submit npm issues here.